Bug 506688 - virsh dominfo prints an error on every invocation with Xen driver
virsh dominfo prints an error on every invocation with Xen driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: Regression
Depends On:
Blocks: 649438 1062340
  Show dependency treegraph
 
Reported: 2009-06-18 06:52 EDT by Daniel Berrange
Modified: 2014-02-06 12:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 649438 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Avoid exiting with errors if security model APIs are not implemented (4.31 KB, patch)
2009-06-18 07:44 EDT, Daniel Berrange
no flags Details | Diff
Supplemental patch to deal with errors in daemon (2.67 KB, patch)
2009-07-13 06:50 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2009-06-18 06:52:34 EDT
Description of problem:
On a Xen host run the 'dominfo' command


# virsh dominfo rhel5pv
Id:             1
Name:           rhel5pv
UUID:           8f07fe28-753f-2729-d76d-bdbd892f949a
OS Type:        linux
State:          idle
CPU(s):         4
CPU time:       35.1s
Max memory:     2560000 kB
Used memory:    306968 kB
Autostart:      disable
error: this function is not supported by the hypervisor: virNodeGetSecurityModel



Version-Release number of selected component (if applicable):
libvirt-0.6.3

How reproducible:
Always on Xen hosts

Steps to Reproduce:
1. Run virsh dominfo
2.
3.
  
Actual results:
error: this function is not supported by the hypervisor: virNodeGetSecurityModel

Expected results:
No errors

Additional info:
http://www.redhat.com/archives/libvir-list/2009-June/msg00274.html
Comment 1 Daniel Berrange 2009-06-18 07:44:13 EDT
Created attachment 348416 [details]
Avoid exiting with errors if security model APIs are not implemented
Comment 2 Daniel Veillard 2009-06-19 12:53:38 EDT
I had to tweak the patch a bit to avoid a patch with fuzz=2 problem where
it got applied somewhere else. The changes to src/libvirt.c comments don't
make much sense if we don't regenerate the documentation too but then
the resulting patch gets a bit too big for my taste. So I just kept the
source comment ...

libvirt-0.6.3-11.el5 has been built in dist-5E-qu-candidate with the fix,

Daniel
Comment 4 Nan Zhang 2009-06-21 05:09:44 EDT
This bug has been verified with libvirt 0.6.3-11.el5 on RHEL-5.4. Already fixed.

# virsh dominfo xentest
Id:             2
Name:           xentest
UUID:           38f80d8a-585c-4c55-ba98-94c6ea573117
OS Type:        linux
State:          no state
CPU(s):         1
CPU time:       1.3s
Max memory:     524288 kB
Used memory:    524288 kB
Autostart:      disable
Comment 10 Daniel Berrange 2009-07-13 06:50:36 EDT
Created attachment 351459 [details]
Supplemental patch to deal with errors in daemon

The first patch was incomplete. This additional patch fixes bugs in the libvirtd daemon error handling for the security operations.
Comment 12 Daniel Veillard 2009-07-15 06:54:00 EDT
Patch was ACk'ed upstream.

libvirt-0.6.3-15.el5 has been built in dist-5E-qu-candidate with the fix,

Daniel
Comment 14 Nan Zhang 2009-07-17 04:04:15 EDT
Verified with libvirt 0.6.3-15.el5 on RHEL-5.4. Already fixed, set the status to VERIFIED.

[root@dhcp-66-70-85 ~]# virsh -c xen+ssh://10.66.70.66 dominfo rhel5u4fv
root@10.66.70.66's password:
Id:             1
Name:           rhel5u4fv
UUID:           922b3566-5573-536e-0537-3ab6b8417584
OS Type:        hvm
State:          no state
CPU(s):         1
CPU time:       34.3s
Max memory:     1064960 kB
Used memory:    1056640 kB
Autostart:      disable

[root@dhcp-66-70-85 ~]# echo $?
0
Comment 16 errata-xmlrpc 2009-09-02 05:20:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1269.html

Note You need to log in before you can comment on or make changes to this bug.